{% extends "base.html" %}
{% block title %}DDRMC{% endblock %}
{% block content %}

<h2>DDRMC report</h2>

{% for name, data in ddrmc_data.items() %}

<h3>{{name}}</h3>

{% if "error" in data %}
<div class="alert alert-danger">{{data["error"]}}</div>
{% else%}

{% set properties = data["properties"] %}
{% if properties["CAL_ERROR_MSG"] == "None" %}
<div class="alert alert-success">{{properties["CAL_MESSAGE"]}}</div>
{% else %}
<div class="alert alert-danger">
  <p>{{properties["CAL_MESSAGE"]}}</p>
  <p>{{properties["CAL_ERROR_MSG"]}}</p>
</div>
{% endif %}


<div>
  <a class="btn btn-primary" data-bs-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
    Show full report
  </a>
</div>
<div class="collapse" id="collapseExample">
  <div class="card card-body">
    <pre>{{data["report"]}}</pre>
  </div>
</div>


{% if "margins" in data %}

<div class="container py-4 px-0"> 
  <div class="alert alert-info">
  Note: Read margin charts are left-aligned, write margin plots are center-aligned.</br>
  Center point for write plots is not found in DDRMC properties. Refer to full DDRMC report for the center point.
  </div>
</div>

{% for name, calibraton in data["margins"].items() %}

<div class="container py-4 px-0">
  <h4>{{calibraton["comment"]}}</h4>

{% for nibble_name, plot_bar in calibraton["data"].items() %}
<div class="row">
  <div style="width:120px;text-align:right;">{{ nibble_name }}</div>
  <div class="col">
    <div class="progress">
      <div class="progress-bar bg-danger" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["left_edge"])}}%"></div>
      <div class="progress-bar bg-success" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["left_margin"])}}%">
        {{ plot_bar["left_margin_value"] }}
      </div>
      <div class="progress-bar bg-warning" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["tap_width"])}}%"></div>
      <div class="progress-bar bg-success" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["right_margin"])}}%">
        {{ plot_bar["right_margin_value"] }}
      </div>
      <div class="progress-bar bg-danger" role="progressbar" style="width:{{"{:.1f}".format(plot_bar["right_edge"])}}%"></div>
    </div>   
  </div>
</div>
{% endfor %}

</div>

{% endfor%}

{% endif %}



{% endif %}

{% endfor %}

{% endblock %}
